# Uses of Class
org.eclipse.swt.widgets.Decorations

Packages that use Decorations
Package
Description
org.eclipse.swt.widgets

## Uses of Decorations in org.eclipse.swt.widgets

Subclasses of Decorations in org.eclipse.swt.widgets
Modifier and Type
Class
Description
`class`
`Shell`
Instances of this class represent the "windows" which the desktop or "window manager" is managing.
Methods in org.eclipse.swt.widgets that return Decorations
Modifier and Type
Method
Description
`Decorations`
Menu.`getParent()`
Returns the receiver's parent, which must be a `Decorations`.
Constructors in org.eclipse.swt.widgets with parameters of type Decorations
Modifier
Constructor
Description
``
`Menu(Decorations parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Decorations`) and a style value describing its behavior and appearance.